Issue

Using the Adobe Flex 2.0.1 plug-in with IBM Rational Application Developer (RAD) version 7.

Solution

These instructions apply only to the Flex 2.0.1 plug-in for Eclipse. If you have an older version of the Flex 2 plug-in, upgrade to the 2.0.1 version.

Note: Ensure that you install the Flex 2.0.1 plug-in before following these steps.

  1. Close RAD 7.
  2. Locate the Global.as file in the Flex Builder 2 resources directory. The path will be similar to this:

    install/plugins/com.adobe.flexbuilder.codemodel_build/resources
  3. Download the updated Global.as file and replace the Global.as file that is currently in the resources directory found in Step 1.

  4. There is a conflict between the version of Xerces used by RAD 7 and the version required by Flex Builder 2. Edit the eclipse.ini file so that the xercesImpl.jar file in the Flex 2 SDK is used instead of the default version. Set the following:



    -Xbootclasspath/a:[install-path]\Flex SDK 2\lib\xercesImpl.jar



    Change [install-path] to the location of the Flex Builder 2 plug-in on your system.
  5. Start RAD 7. You should now be able to open MXML and AS files in the Flex Builder perspective.

 

This work is licensed under a Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License  Twitter™ and Facebook posts are not covered under the terms of Creative Commons.

Legal Notices   |   Online Privacy Policy